Intermittent TEST-UNEXPECTED-TIMEOUT | dom/media/tests/mochitest/test_getUserMedia_scarySources.html | application timed out after 330 seconds with no output

RESOLVED INCOMPLETE

Status

()

P2
normal
Rank:
25
RESOLVED INCOMPLETE
2 years ago
7 months ago

People

(Reporter: intermittent-bug-filer, Unassigned)

Tracking

({bulk-close-intermittents, intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

Comment 1

2 years ago
Setting this as higher priority because it is a newly added test. See also Bug 1321202.
Rank: 25
Component: Audio/Video → WebRTC
Priority: -- → P2
Status: NEW → RESOLVED
Last Resolved: a year ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE

Comment 2

10 months ago
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=153224237&repo=mozilla-esr52&lineNumber=8167

[task 2017-12-23T20:27:31.219693Z] 20:27:31     INFO - TEST-START | dom/media/tests/mochitest/test_getUserMedia_scarySources.html
[task 2017-12-23T20:27:31.322045Z] 20:27:31     INFO - TEST DEVICES: Using media devices:
[task 2017-12-23T20:27:31.323076Z] 20:27:31     INFO - audio: Sine source at 440 Hz
[task 2017-12-23T20:27:31.324149Z] 20:27:31     INFO - video: Dummy video device (0x0000)
[task 2017-12-23T20:27:31.386788Z] 20:27:31     INFO - TEST DEVICES: Using media devices:
[task 2017-12-23T20:27:31.387995Z] 20:27:31     INFO - audio: Sine source at 440 Hz
[task 2017-12-23T20:27:31.389208Z] 20:27:31     INFO - video: Dummy video device (0x0000)
[task 2017-12-23T20:33:01.773652Z] 20:33:01     INFO - Buffered messages logged at 20:27:31
[task 2017-12-23T20:33:01.773760Z] 20:33:01     INFO - TEST-PASS | dom/media/tests/mochitest/test_getUserMedia_scarySources.html | A valid string reason is expected 
[task 2017-12-23T20:33:01.774601Z] 20:33:01     INFO - TEST-PASS | dom/media/tests/mochitest/test_getUserMedia_scarySources.html | Reason cannot be empty 
[task 2017-12-23T20:33:01.774696Z] 20:33:01     INFO - Call getUserMedia for {"video":{"mediaSource":"window"}}
[task 2017-12-23T20:33:01.774853Z] 20:33:01     INFO - TEST-PASS | dom/media/tests/mochitest/test_getUserMedia_scarySources.html | Found one or more windows. 
[task 2017-12-23T20:33:01.775004Z] 20:33:01     INFO - TEST-PASS | dom/media/tests/mochitest/test_getUserMedia_scarySources.html | Found one or more scary windows (our own counts). 
[task 2017-12-23T20:33:01.775303Z] 20:33:01     INFO - TEST-PASS | dom/media/tests/mochitest/test_getUserMedia_scarySources.html | Our own window is among the scary: "MochiTest | /tests - Nightly" 
[task 2017-12-23T20:33:01.775409Z] 20:33:01     INFO - Call getUserMedia for {"video":{"mediaSource":"screen"}}
[task 2017-12-23T20:33:01.775533Z] 20:33:01     INFO - Buffered messages finished
[task 2017-12-23T20:33:01.775691Z] 20:33:01     INFO - TEST-UNEXPECTED-TIMEOUT | dom/media/tests/mochitest/test_getUserMedia_scarySources.html | application timed out after 330 seconds with no output
[task 2017-12-23T20:33:01.775909Z] 20:33:01    ERROR - Force-terminating active process(es).
[task 2017-12-23T20:33:01.776889Z] 20:33:01     INFO - Determining child pids from psutil
[task 2017-12-23T20:33:01.785037Z] 20:33:01     INFO - Found child pids: []
[task 2017-12-23T20:33:01.785787Z] 20:33:01     INFO - Killing process: 4239
[task 2017-12-23T20:33:01.786495Z] 20:33:01     INFO - TEST-INFO | started process screentopng
[task 2017-12-23T20:33:02.526834Z] 20:33:02     INFO - TEST-INFO | screentopng: exit 0
[task 2017-12-23T20:33:02.527057Z] 20:33:02     INFO - Can't trigger Breakpad, just killing process
[task 2017-12-23T20:33:02.724890Z] 20:33:02     INFO - TEST-INFO | Main app process: killed by SIGKILL
[task 2017-12-23T20:33:02.725110Z] 20:33:02     INFO - Buffered messages finished
[task 2017-12-23T20:33:02.725352Z] 20:33:02    ERROR - TEST-UNEXPECTED-FAIL | dom/media/tests/mochitest/test_getUserMedia_scarySources.html | application terminated with exit code -9
[task 2017-12-23T20:33:02.725457Z] 20:33:02     INFO - runtests.py | Application ran for: 0:08:09.849427
[task 2017-12-23T20:33:02.725579Z] 20:33:02     INFO - zombiecheck | Reading PID log: /tmp/tmpnpz5Cbpidlog
[task 2017-12-23T20:33:02.725761Z] 20:33:02     INFO - Stopping web server
[task 2017-12-23T20:33:02.769055Z] 20:33:02     INFO - Stopping web socket server
[task 2017-12-23T20:33:02.802236Z] 20:33:02     INFO - Stopping ssltunnel
[task 2017-12-23T20:33:02.829190Z] 20:33:02     INFO -  websocket/process bridge listening on port 8191
[task 2017-12-23T20:33:02.850825Z] 20:33:02     INFO - Stopping websocket/process bridge
[task 2017-12-23T20:33:02.850885Z] 20:33:02  WARNING - leakcheck | refcount logging is off, so leaks can't be detected!
[task 2017-12-23T20:33:02.850927Z] 20:33:02     INFO - runtests.py | Running tests: end.
[task 2017-12-23T20:33:02.872801Z] 20:33:02     INFO - Buffered messages finished
[task 2017-12-23T20:33:02.872895Z] 20:33:02     INFO -  dir: dom/media/webaudio/test/blink
[task 2017-12-23T20:33:02.899027Z] 20:33:02     INFO -  Setting pipeline to PAUSED ...
[task 2017-12-23T20:33:02.900005Z] 20:33:02     INFO -  Pipeline is PREROLLING ...
[task 2017-12-23T20:33:02.901626Z] 20:33:02     INFO -  Pipeline is PREROLLED ...
[task 2017-12-23T20:33:02.901670Z] 20:33:02     INFO -  Setting pipeline to PLAYING ...
[task 2017-12-23T20:33:02.902051Z] 20:33:02     INFO -  New clock: GstSystemClock
[task 2017-12-23T20:33:02.934960Z] 20:33:02     INFO -  Got EOS from element "pipeline0".
[task 2017-12-23T20:33:02.935853Z] 20:33:02     INFO -  Execution ended after 33396402 ns.
[task 2017-12-23T20:33:02.936735Z] 20:33:02     INFO -  Setting pipeline to PAUSED ...
[task 2017-12-23T20:33:02.937420Z] 20:33:02     INFO -  Setting pipeline to READY ...
[task 2017-12-23T20:33:02.938380Z] 20:33:02     INFO -  Setting pipeline to NULL ...
[task 2017-12-23T20:33:02.939125Z] 20:33:02     INFO -  Freeing pipeline ...
[task 2017-12-23T20:33:02.979180Z] 20:33:02     INFO -  mozprofile.addons WARNING | Could not install /home/worker/workspace/build/tests/mochitest/extensions/mozscreenshots: [Errno 2] No such file or directory: '/home/worker/workspace/build/tests/mochitest/extensions/mozscreenshots/install.rdf'
[task 2017-12-23T20:33:02.999992Z] 20:33:02     INFO - INFO | runtests.py | ASan using symbolizer at /home/worker/workspace/build/application/firefox/llvm-symbolizer
[task 2017-12-23T20:33:03.005748Z] 20:33:03     INFO - INFO | runtests.py | ASan running in default memory configuration
[task 2017-12-23T20:33:03.195202Z] 20:33:03     INFO -  pk12util: PKCS12 IMPORT SUCCESSFUL
[task 2017-12-23T20:33:03.435745Z] 20:33:03     INFO - INFO | runtests.py | ASan using symbolizer at /home/worker/workspace/build/application/firefox/llvm-symbolizer
[task 2017-12-23T20:33:03.442282Z] 20:33:03     INFO - LSan enabled.
[task 2017-12-23T20:33:03.442816Z] 20:33:03     INFO - LSan using suppression file /home/worker/workspace/build/tests/mochitest/lsan_suppressions.txt
[task 2017-12-23T20:33:03.442926Z] 20:33:03     INFO - INFO | runtests.py | ASan running in default memory configuration
[task 2017-12-23T20:33:03.443421Z] 20:33:03     INFO - INFO | runtests.py | ASan using symbolizer at /home/worker/workspace/build/application/firefox/llvm-symbolizer
[task 2017-12-23T20:33:03.448113Z] 20:33:03     INFO - INFO | runtests.py | ASan running in default memory configuration
[task 2017-12-23T20:33:03.452151Z] 20:33:03     INFO - MochitestServer : launching [u'/home/worker/workspace/build/tests/bin/xpcshell', '-g', '/home/worker/workspace/build/application/firefox', '-v', '170', '-f', '/home/worker/workspace/build/tests/bin/components/httpd.js', '-e', "const _PROFILE_PATH = '/tmp/tmpBFyNqq.mozrunner'; const _SERVER_PORT = '8888'; const _SERVER_ADDR = '127.0.0.1'; const _TEST_PREFIX = undefined; const _DISPLAY_RESULTS = false;", '-f', '/home/worker/workspace/build/tests/mochitest/server.js']
[task 2017-12-23T20:33:03.453212Z] 20:33:03     INFO - runtests.py | Server pid: 4847
[task 2017-12-23T20:33:03.481652Z] 20:33:03     INFO - runtests.py | Websocket server pid: 4850
[task 2017-12-23T20:33:03.509297Z] 20:33:03     INFO - runtests.py | websocket/process bridge pid: 4853
[task 2017-12-23T20:33:03.817095Z] 20:33:03     INFO - INFO | runtests.py | ASan using symbolizer at /home/worker/workspace/build/application/firefox/llvm-symbolizer
[task 2017-12-23T20:33:03.838197Z] 20:33:03     INFO - INFO | runtests.py | ASan running in default memory configuration
[task 2017-12-23T20:33:03.866318Z] 20:33:03     INFO - runtests.py | SSL tunnel pid: 4872
[task 2017-12-23T20:33:04.120317Z] 20:33:04     INFO - runtests.py | Running with e10s: False
[task 2017-12-23T20:33:04.121539Z] 20:33:04     INFO - runtests.py | Running tests: start.
[task 2017-12-23T20:33:04.121666Z] 20:33:04     INFO - 
[task 2017-12-23T20:33:04.122263Z] 20:33:04     INFO - Application command: /home/worker/workspace/build/application/firefox/firefox -marionette -foreground -profile /tmp/tmpBFyNqq.mozrunner
[task 2017-12-23T20:33:04.140653Z] 20:33:04     INFO - runtests.py | Application pid: 4881
[task 2017-12-23T20:33:04.141571Z] 20:33:04     INFO - TEST-INFO | started process Main app process
[task 2017-12-23T20:33:07.185208Z] 20:33:07     INFO - 1514061187178	Marionette	INFO	Listening on port 2828
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Last Resolved: a year ago8 months ago
Resolution: --- → INCOMPLETE
1 failures in 718 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1321203&startday=2018-03-26&endday=2018-04-01&tree=trunk
You need to log in before you can comment on or make changes to this bug.